<?php
/**
 * @package   solo
 * @copyright Copyright (c)2014-2020 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

use Awf\Text\Text;
use Awf\Uri\Uri;
use Awf\Utils\Template;

defined('_AKEEBA') or die();

/** @var \Solo\View\Setup\Html $this */

Template::addJs('media://js/solo/setup.js', $this->getContainer()->application);

$router = $this->getContainer()->router;
?>

<div class="akeeba-panel--info">
    <header class="akeeba-block-header">
        <h1>
			@lang('SOLO_SETUP_SUBTITLE_DATABASE')
        </h1>
    </header>
    <p>
		@lang('SOLO_SETUP_LBL_DATABASE_INFO')
    </p>
</div>

<form action="@route('index.php?view=setup&task=installdb')" method="post" role="form"
      name="dbForm"
      class="akeeba-form--horizontal" >

    <div class="akeeba-form-group">
		<label for="driver" >
			@lang('SOLO_SETUP_LBL_DATABASE_DRIVER')
		</label>
		{{ \Solo\Helper\Setup::databaseTypesSelect($this->connectionParameters['driver']) }}
        <p class="akeeba-help-text">
			@lang('SOLO_SETUP_LBL_DATABASE_DRIVER_HELP')
        </p>
	</div>

	<div class="akeeba-form-group" id="host-wrapper">
		<label for="host" >
			@lang('SOLO_SETUP_LBL_DATABASE_HOST')
		</label>
        <input type="text" id="host" name="host" placeholder="@lang('SOLO_SETUP_LBL_DATABASE_HOST')" value="{{ $this->connectionParameters['host'] }}">
        <p class="akeeba-help-text">
			@lang('SOLO_SETUP_LBL_DATABASE_HOST_HELP')
        </p>
	</div>

	<div class="akeeba-form-group" id="user-wrapper">
		<label for="user" >
			@lang('SOLO_SETUP_LBL_DATABASE_USER')
		</label>
        <input type="text" id="user" name="user" placeholder="@lang('SOLO_SETUP_LBL_DATABASE_USER')" value="{{ $this->connectionParameters['user'] }}">
        <p class="akeeba-help-text">
			@lang('SOLO_SETUP_LBL_DATABASE_USER_HELP')
        </p>
	</div>

	<div class="akeeba-form-group" id="pass-wrapper">
		<label for="pass" >
			@lang('SOLO_SETUP_LBL_DATABASE_PASS')
		</label>
        <input type="password" id="pass" name="pass" placeholder="@lang('SOLO_SETUP_LBL_DATABASE_PASS')" value="{{ $this->connectionParameters['pass'] }}">
        <p class="akeeba-help-text">
			@lang('SOLO_SETUP_LBL_DATABASE_PASS_HELP')
        </p>
	</div>

	<div class="akeeba-form-group" id="name-wrapper">
		<label for="name" >
			@lang('SOLO_SETUP_LBL_DATABASE_NAME')
		</label>
        <input type="text" id="name" name="name" placeholder="@lang('SOLO_SETUP_LBL_DATABASE_NAME')" value="{{ $this->connectionParameters['name'] }}">
        <p class="akeeba-help-text">
			@lang('SOLO_SETUP_LBL_DATABASE_NAME_HELP')
        </p>
	</div>

	<div class="akeeba-form-group" id="prefix-wrapper">
		<label for="prefix" >
			@lang('SOLO_SETUP_LBL_DATABASE_PREFIX')
		</label>
        <input type="text" id="prefix" name="prefix" placeholder="@lang('SOLO_SETUP_LBL_DATABASE_PREFIX')" value="{{ $this->connectionParameters['prefix'] }}">
        <p class="akeeba-help-text">
			@lang('SOLO_SETUP_LBL_DATABASE_PREFIX_HELP')
        </p>
	</div>

    <div class="akeeba-form-group--pull-right">
        <div class="akeeba-form-group--actions">
            <button type="submit" id="dbFormSubmit" class="akeeba-btn--primary">
		        @lang('SOLO_BTN_SUBMIT')
            </button>
        </div>
	</div>
</form>
